commit:     3a5fdcc051998b7feec0a3fdeade293abf048f45
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 09:38:12 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jul 29 09:38:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a5fdcc0

www-client/epiphany: add 44.6

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 www-client/epiphany/Manifest             |  1 +
 www-client/epiphany/epiphany-44.6.ebuild | 87 ++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/www-client/epiphany/Manifest b/www-client/epiphany/Manifest
index 5d2b398a9e40..4ded80e68d47 100644
--- a/www-client/epiphany/Manifest
+++ b/www-client/epiphany/Manifest
@@ -1,3 +1,4 @@
 DIST epiphany-44.2.tar.xz 3991788 BLAKE2B 
c18e3c952a1e71e498646017886caba82325e220b2682c8d804e2b5e40b7a80bc3521c0e3c098d8a24732ddf727f6b37936ffae154599a0c8c4a5aa90765f1a5
 SHA512 
026536a1d0a74059e9f642ddf38156f80f0c244ace6449caa0908a49daf3bcea735745050abe6f565224c73489d0ce12da2f2ac907d062ac270f24b3b045f86e
 DIST epiphany-44.3.tar.xz 3993404 BLAKE2B 
c0e07d19178f2a66f40e0874250b48267de419bd2b721223789128ac11ab5aaca9029590e4d15d6788061c87b1780f771959cb5f30af9f29828d60c544484678
 SHA512 
ed92eaf1300b1d6b0190aa613ed77e39d7978b8169edaa560404b1b64a1ee1d496f2cffbda83553a2faed2496e535dc99e219fc7fb22e41eacd19451ad868f23
 DIST epiphany-44.5.tar.xz 3994260 BLAKE2B 
9f05a2b4bde9eebcad69db1da373ea617c5999e76a5988ec93acc41daddf6794a01029c77eb77714329b3e6b1d5f41c3084dc7e775aa1a70f815bf8c95bc4af8
 SHA512 
cf3a25676e8129d362234c87c8199a5973b80e3cc87e801be2199da4474042e840b63a156324eaa40485b5a24aa15835104a46ef041b6c7b400ed623422e99ec
+DIST epiphany-44.6.tar.xz 3994776 BLAKE2B 
e73fc66d7138961b61085538daf15c0d93a13827a9fcef62f111ddee87541a0fb61a9fb8fba7814c613da8179c895ddedcc22e2838885aa9222c327609968dfb
 SHA512 
9af157db0f7a68d64fec9fd17465ee8cc900879a3613c3f3e03ea27938a84c0dda6be30b4d1d2cc0f9ddba5cf5d41de3d3156b0580fdce03b1d8f920bb96536c

diff --git a/www-client/epiphany/epiphany-44.6.ebuild 
b/www-client/epiphany/epiphany-44.6.ebuild
new file mode 100644
index 000000000000..0fef2a8e428b
--- /dev/null
+++ b/www-client/epiphany/epiphany-44.6.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson xdg virtualx
+
+DESCRIPTION="GNOME webbrowser based on Webkit"
+HOMEPAGE="https://wiki.gnome.org/Apps/Web 
https://gitlab.gnome.org/GNOME/epiphany";
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+DEPEND="
+       >=x11-libs/cairo-1.2
+       >=app-crypt/gcr-3.9.0:4=[gtk]
+       >=x11-libs/gdk-pixbuf-2.36.5:2
+       >=dev-libs/glib-2.70.0:2
+       gnome-base/gsettings-desktop-schemas
+       >=media-libs/gstreamer-1.0
+       >=gui-libs/gtk-4.9.3:4
+       >=app-text/iso-codes-0.35
+       >=dev-libs/json-glib-1.6
+       app-arch/libarchive:=
+       >=gui-libs/libadwaita-1.3_rc:1
+       >=app-crypt/libsecret-0.19
+       >=net-libs/libsoup-2.99.4:3.0
+       >=dev-libs/libxml2-2.6.12:2
+       >=dev-libs/nettle-3.4:=
+       >=dev-libs/libportal-0.6:0=[gtk]
+       >=dev-db/sqlite-3.22:3
+       >=net-libs/webkit-gtk-2.40.0:6=
+
+       dev-libs/gmp:0=
+"
+RDEPEND="${DEPEND}
+       x11-themes/adwaita-icon-theme
+"
+# appstream-glib needed for appdata.xml gettext translation
+BDEPEND="
+       dev-libs/appstream-glib
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       dev-util/itstool
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+       xdg_environment_reset
+}
+
+src_configure() {
+       local emesonargs=(
+               -Ddeveloper_mode=false
+               # maybe enable later if network-sandbox is off, but in 3.32.4 
the network test
+               # is commented out upstream anyway
+               -Dnetwork_tests=disabled
+               -Dtech_preview=false
+               $(meson_feature test unit_tests)
+               -Dgranite=disabled
+       )
+       meson_src_configure
+}
+
+src_test() {
+       virtx meson_src_test
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+
+       if ! has_version net-libs/webkit-gtk:6[jpeg2k]; then
+               ewarn "Your net-libs/webkit-gtk:6 is built without USE=jpeg2k."
+               ewarn "Various image galleries/managers may be broken."
+       fi
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to